Page MenuHomePhabricator

Remove dead code in instcombine.
ClosedPublic

Authored by arsenm on Apr 14 2014, 3:10 PM.

Details

Reviewers
arsenm
Summary

Don't replace shifts greater than the type with the maximum shift.

This isn't hit anywhere in the tests, and somewhere else is replacing these with undef.

Diff Detail

Event Timeline

What about an assert then?

arsenm updated this revision to Diff 8752.Apr 22 2014, 3:53 PM

Add assert. I don't think this is really necessary since I don't think anything after this would actually break if it were true.

arsenm accepted this revision.Apr 23 2014, 9:55 AM
arsenm added a reviewer: arsenm.

r207000

This revision is now accepted and ready to land.Apr 23 2014, 9:55 AM
arsenm closed this revision.Apr 23 2014, 9:55 AM